Skip to main content
`Ctrl`+`K`

# DMNetworkGetNumSubNetworks

Gets the number of subnetworks

## Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkGetNumSubNetworks(DM dm, PetscInt *nsubnet, PetscInt *Nsubnet)

Not Collective

## Input Parameter

- dm - the `DMNETWORK` object

## Output Parameters

- nsubnet - local number of subnetworks

- Nsubnet - global number of subnetworks

## See Also

`DM`, `DMNETWORK`, `DMNetworkCreate()`, `DMNetworkSetNumSubNetworks()`

## Level

beginner

## Location

src/dm/impls/network/network.c

Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages